[Dév] Patch 1.0.8.1 disponible

Pour tout ce qui concerne le site ou les forums de GameGrob.

[Dév] Patch 1.0.8.1 disponible

Messagepar Gorkk » Mar Nov 20, 2007 6:05 pm

Plus de trois semaines après les estimations indiquées au moment de l'annonce de l'annulation du Loki Battleground, le patch 1.0.8.1 est désormais disponible.

Les notes du patch plubliées avec le patch beta 1.0.8.0 étaient indiquées comme incomplètes, et c'est vrai, mais pas de beaucoup : le patch 1.0.8.1 reste bien pauvre en corrections, particulièrement pour un patch qui aura nécessité presque deux mois d'attentes.

Changements du patch 1.0.8.1 a écrit:CORRECTIONS DE BUGS
- Corrections de crash lors de l'utilisation de la combinaison de touche Alt Tab.
- Corrections d'un bug qui permettais d'utiliser une arme/un équipement nécessitant une caractéristique d'une valeur supérieure à la valeur de celle du héros.
- Divers ajustement de taille de fenêtres dans la GUI :
- Recentrage du "-" et du "+" dans la gauge de sensibilité
- Agrandissement des tooltips gauche et droite, lors du passage sur les altérations, potions etc...
- Agrandissement de la zone du détail des quêtes

MODIFICATIONS
- Développement Protection contre la triche côté serveur : Les joueurs ayant joués avec des certaines donnes du jeu modifiées seront hors classement sur le GameCenter. De même si ils jouent sur une partie hébergée par un joueur ayant modifiées ses données relatives au gameplay.
- Développement Protection contre la triche côté client : Les joueurs seront avertis s'ils se connectent a un serveur dont les donnes du jeu sont modifiés afin qu'ils puissent se déconnecter pour rester dans le classement GameCenter.
- Vérification des données relatives au gameplay en cours de jeu.
- Ajout de sauvegardes de secours sur le serveur.
- Rééquilibrage des caractéristiques des jaguars.

Attention : le fichier ci-dessous ne s'adresse qu'aux détenteurs d'une version DVD européenne de Loki. Si vous avez une version téléchargement, ou une version américaine, il faudra attendre la publication du patch adéquat (voir le site de DreamCatcher dans le second cas)
>> Télécharger le patch 1.0.8.1 <<

Comme vous l'avez sûrement remarqué, on assiste avec ce patch 1.0.8.1 à un nouveau changement du mode de numérotation (la bêta a été numérotée 1.0.8.0, là où avec la précédente numérotation elle aurait été appelée 1.0.7.1, et la version finale n'est pas le 1.0.8.0). Par contre, le concept de patch incrémental n'a toujours pas été intégré par Cyanide, et c'est donc un fichier de 165 Mo contenant toutes les modifications du jeu depuis la première version sortie (française et allemande, 1.0.0.1) que vous devrez donc télécharger : encore une fois, un gros fichier pour de toutes petites et insignifiantes modifications...

Par ailleurs, malgré l'annonce faite début octobre par Focus, la reprise du Loki Battleground #1 n'a pas été annoncée, alors qu'elle aurait du se faire avec le lancement du patch 1.0.8...
Gorkk
Administrateur
 
Messages: 8944
Inscription: Ven Avr 09, 2004 8:35 am

Re: [Dév] Patch 1.0.8.1 disponible

Messagepar Maruk » Mer Nov 21, 2007 7:43 pm

Gorkk a écrit:Attention : le fichier ci-dessous ne s'adresse qu'aux détenteurs d'une version DVD européenne de Loki. Si vous avez une version téléchargement, ou une version américaine, il faudra attendre la publication du patch adéquat (voir le site de DreamCatcher dans le second cas)
>> Télécharger le patch 1.0.8.1 <<

--> Ben selon Requiem, le patch est multi-version... Source : ICI.
Maruk
Administrateur
 
Messages: 807
Inscription: Jeu Jan 11, 2007 12:26 pm
Localisation: Plou-quelque chose

Re: [Dév] Patch 1.0.8.1 disponible

Messagepar Gorkk » Mer Nov 21, 2007 10:13 pm

Maruk a écrit:
Gorkk a écrit:Attention : le fichier ci-dessous ne s'adresse qu'aux détenteurs d'une version DVD européenne de Loki. Si vous avez une version téléchargement, ou une version américaine, il faudra attendre la publication du patch adéquat (voir le site de DreamCatcher dans le second cas)
>> Télécharger le patch 1.0.8.1 <<

--> Ben selon Requiem, le patch est multi-version... Source : ICI.

Autant pour moi. Dans ce cas c'est une bonne nouvelle. Ça m'étonne quand même par contre, en particulier que ça passe aussi avec les versions Steam. Une des raisons pour lesquelles ça m'étonne (outre le passif de Cyanide et le fait qu'ils n'ont toujours pas intégré la notion de patch incrémental), c'est qu'au vu des retours sur le forum international, une chose est sûr ça ne l'était pas dans le patch bêta.

Bref, tant mieux si ce n'est pas le cas donc ;)
Gorkk
Administrateur
 
Messages: 8944
Inscription: Ven Avr 09, 2004 8:35 am

Messagepar Fabrice » Jeu Nov 22, 2007 2:36 pm

Il semblerait que ça puisse dépendre du site sur lequel le jeu a été téléchargé : http://www.loki-game.com/forum/viewtopic.php?t=2707
Sous-entendu explicite que cette version de Loki pourrait être différente des autres versions téléchargeables et par conséquent devrait être patchée autrement.

Bizarre quand même...

Cela dit, l'auteur du post avait déjà eu un problème en téléchargeant le patch une première fois (téléchargement défectueux), peut-être est-ce du même ordre ?
Fabrice
Tueur de Rats
 
Messages: 145
Inscription: Dim Aoû 19, 2007 11:44 pm

Messagepar Gorkk » Jeu Nov 22, 2007 4:09 pm

Fabrice a écrit:Il semblerait que ça puisse dépendre du site sur lequel le jeu a été téléchargé : http://www.loki-game.com/forum/viewtopic.php?t=2707
Sous-entendu explicite que cette version de Loki pourrait être différente des autres versions téléchargeables et par conséquent devrait être patchée autrement.

Ça me paraît déjà plus plausible. Qu'ils aient un patch qui marche à la fois pour leur version DVD et leur version DL (de Focus), les deux utilisant du StarForce, ça m'étonne pas (quoi que de leur part si :p). Déjà que le patch soit compatible avec la version US qui utilise du TAGES (me semble, 'fin pas du StarForce), et qui est d'un autre éditeur, j'ai déjà des doutes. Et qu'il soit en plus compatible avec Steam, là j'y crois plus du tout, étant donné que c'est Steam qui fait les patchs pour les versions qu'il distribue, et modifie des fichiers du jeu pour (ce qui explique pourquoi il arrive régulièrement que les utilisateurs de Steam aient les patchs - nettement - plus tard, comme pour Silverfall, même quand les devs font tout ce qu'il faut pour que Steam puisse faire le patch rapidement).

Donc bon, à mon avis honnêtement le patch n'est compatible qu'avec les versions StarForce de Focus (DVD et téléchargeable sur la boutique Focus), mais pas les autres versions. C'est d'ailleurs bien ce que laisse supposer la réponse de Requiem dans le sujet que tu as cité
Requiem a écrit:Sur quel site le jeu a-t-il été acheté ?


PS : si cette fois encore ça avait été un problème de téléchargement, le patch n'aurait pas pu s'installer. Il ne se serait pas installer en demandant ensuite le DVD, ça j'y crois pas du tout ;)
Gorkk
Administrateur
 
Messages: 8944
Inscription: Ven Avr 09, 2004 8:35 am

Messagepar Fabrice » Ven Nov 23, 2007 6:49 pm

PS : si cette fois encore ça avait été un problème de téléchargement, le patch n'aurait pas pu s'installer. Il ne se serait pas installer en demandant ensuite le DVD, ça j'y crois pas du tout

Pour être franc, moi non plus mais je voulais laisser le bénéfice du doute.

Je me disais que vraiment ce serait idiot de mettre un patch "all languages, all versions" en ligne sans préciser que ça ne marche pas pour certaines versions... :roll:

En tout cas c'est encore plus marrant que cela, car quelqu'un vient de poster qu'il a le même problème et il l'a acheté via... Focus himself !

adri ; inscrit le: 23 Nov 2007
Messages: 1

MessagePosté le: Ven Nov 23, 2007 5:21 pm
Bonjour.

j'ai le meme probleme que Zemano.

j'ai acheté le jeu via Focushop.


EDIT : par contre, Focus donne la solution du problème (a priori) :
http://www.loki-game.com/forum/viewtopic.php?t=2710

Le message "Merci d'insérer le CD/DVD original "Loki DVD" CD/DVD" s'affiche au démarrage du jeu sur la version Européenne de Loki.
Ce problème peut être lié au fait d'avoir installé le patch 1.0.7.0 pour la version Nord Américaine de Loki, avant d'avoir installé le patch 1.0.8.1.

Il n'est plus nécessaire d'installer le patch 1.0.7.0.
Surtout ne pas installer un patch destiné à la version Nord Americaine de Loki, si vous possédez la version Européenne du jeu.
Vous pouvez installer directement le patch 1.0.8.1, lequel est destiné à toutes les versions de Loki.

1. Veuillez désinstaller puis réinstaller Loki.
2. Appliquer le patch 1.0.8.1.
Fabrice
Tueur de Rats
 
Messages: 145
Inscription: Dim Aoû 19, 2007 11:44 pm

Messagepar Mitsurugi » Ven Nov 23, 2007 8:06 pm

Je ne cherche pas à défendre cyanide (loin de là car même si Loki comporte de bons points, leur manque de com' est rédhibitoire) mais il faut dire aussi qu'être en France et acheter des logiciels en version non française, je n'ai jamais compris l'intérêt... en 1er lieu de ne pouvoir bénéficier d'un support "officiel"
Mitsurugi
Ravageur de Rats
 
Messages: 253
Inscription: Lun Mai 31, 2004 5:30 pm
Localisation: Paris

Messagepar mrtek » Ven Nov 23, 2007 10:32 pm

Personnellement je préfère la version anglaise et j'habite au Québec.
Anyway c'est une question de goût.
Je prends la version anglaise pour deux raisons:
1. Je préfère les voix. (souvent mieux)
2. C'est une manière comme une autre de pratiquer un peu son anglais ;)
Avatar de l’utilisateur
mrtek
Tueur de Rats
 
Messages: 94
Inscription: Mar Juil 18, 2006 4:04 am

Messagepar Gorkk » Sam Nov 24, 2007 6:54 pm

Mitsurugi a écrit:Je ne cherche pas à défendre cyanide (loin de là car même si Loki comporte de bons points, leur manque de com' est rédhibitoire) mais il faut dire aussi qu'être en France et acheter des logiciels en version non française, je n'ai jamais compris l'intérêt... en 1er lieu de ne pouvoir bénéficier d'un support "officiel"

Pour les jeux français, oui il y a peu d'intérêt (et encore). Pour tous les autres :
  • version anglaise, la version française étant très souvent exécrable ("salut, c'est moi, Imoen", si ça vous dit quelque chose).
  • Coût : en l'achetant à l'étranger (UK voire US), et en payant les frais de ports éventuels et les taxes, ça revient moins cher que de l'acheter directement en France...
  • Dans un certain nombre de cas, une protection moins intrusive (et on le voit d'ailleurs sur Loki dans la version nord américaine qui n'a pas cette saloperie de StarForce)
Gorkk
Administrateur
 
Messages: 8944
Inscription: Ven Avr 09, 2004 8:35 am

Messagepar Mitsurugi » Sam Nov 24, 2007 7:00 pm

Je trouve la version de The Witcher excellente et ne me verrai pas avec la version polonaise :lol:
Dis moi Gorkk, où as-tu trouver la possibilité d'avoir ta signature en rapport avec Loki ? Je trouve cela très sympa ! :wink:
Mitsurugi
Ravageur de Rats
 
Messages: 253
Inscription: Lun Mai 31, 2004 5:30 pm
Localisation: Paris

Messagepar Fabrice » Dim Nov 25, 2007 12:41 pm

Mitsurugi a écrit:Je ne cherche pas à défendre cyanide (loin de là car même si Loki comporte de bons points, leur manque de com' est rédhibitoire) mais il faut dire aussi qu'être en France et acheter des logiciels en version non française, je n'ai jamais compris l'intérêt... en 1er lieu de ne pouvoir bénéficier d'un support "officiel"


Ben en fait ça ne repose même pas là-dessus : d'après le post de Focus
Le message "Merci d'insérer le CD/DVD original "Loki DVD" CD/DVD" s'affiche au démarrage du jeu sur la version Européenne de Loki.
Ce problème peut être lié au fait d'avoir installé le patch 1.0.7.0 pour la version Nord Américaine de Loki, avant d'avoir installé le patch 1.0.8.1.

Ca me paraissait déjà bizarre... je voyais pas pourquoi (ni franchement comment ?) on aurait installé le patch Nord-Américain sur la version Européenne ?
De plus, puisque les victimes ont acheté leur jeu via Focushop, en téléchargement, DEJA patché en 1.07 quelque chose me turlupinait et c'est exactement le raisonnement qu'a fait une des victimes (l'auteur du topic cité plus haut), que je vous livre donc tel quel :
Zamano a écrit:J'ai acheté le jeu par Focus shop.

Etant donné que j'ai acheté ce jeu via le site de Focus, il était en version 1.0.7.0 dès que je l'ai installé, n'est ce pas lié avec le sujet plus haut de Focus sur les versions Nord américaine et Européenne ?

La version vendu via internet serait-elle la version Européenne avec les patchs pour les versions Nord américaines ? Si oui, désinstallez le jeu et le réinstallez ne changera rien étant donné que c'est une version déjà "patché" qui est vendu via le site de Focus.

Avez vous une solution si mes suppositions sont correctes sinon une proposition ? Merci


Et ça s'est confirmé... je vous renvoie sur le topic original dont le lien est plus haut : désinstaller/réinstaller ne change rien...

De toute façon je ne vois pas où serait le problème si le jeu était en version Nord-Américaine de base : le patch est supposé être "all languages, all versions"

Ca aurait simplement signifié que toutes les versions nord-américaines de Loki aurait eu le problème avec ce patch 1.081. Le problème n'a aucun rapport avec le fait d'être francophone et d'acheter le jeu en langue anglaise. Il y a un faux débat, là... (quoique pas inintéressant, mais aucun rapport avec le souci technique soulevé).

Et encore une fois j'ai du mal à comprendre pourquoi on aurait patché une version européenne avec un patch 1.07 nord-américain et je ne savais même pas que la chose était possible ?
Mais il faut croire que oui, puisque c'est visiblement ce qu'a fait Focus avec sa version en ligne du logiciel...
A supposer que le problème vienne bien de là, je rappelle que la formulation initiale est "peut être lié" => ce n'est donc pas une certitude.
Fabrice
Tueur de Rats
 
Messages: 145
Inscription: Dim Aoû 19, 2007 11:44 pm

Messagepar Fabrice » Mer Nov 28, 2007 7:35 pm

Bonne nouvelle : Focus donne la solution au problème :lol:

FocusTechSupport a écrit:Ce problème est sous investigation.
Pour l'instant, ceux qui ont la version achetée et téléchargée (Metaboli) de Loki, veuillez ne pas installer le patch 1.0.8.1.

J'ai besoin d'une information:

Si vous avez Windows XP:
- Cliquer Démarrer puis Exécuter.
- Dans "Ouvrir:", entrer la commande REGEDIT et valider.

Si vous avez Windows Vista:
- Cliquer le bouton Windows Vista pour afficher le menu démarrer.
- Entrer la commande REGEDIT dans Rechercher et valider.

Dans l'éditeur du Registre, ouvrir HK_LOCAL_MACHINE, SOFTWARE, Cyanide et Loki.
A gauche, une valeur de donnée s'affiche à la ligne Protection REG_SZ, quelle est-t-elle ?

D'avance merci.


Il suffit juste à tous ceux qui l'ont acheté légalement de ne pas installer le dernier patch (et de ne pas pouvoir jouer sur GC je suppose ?). En soi ce n'est donc pas très grave puisque ce patch ne changeait vraiment pas grand chose au jeu.

Plus qu'à attendre qu'ils trouvent (peut-être) une solution pour les personnes concernées (leur envoyer une copie du DVD en guise de dédommagement, ça pourrait être sympa... et faisable puisqu'ils ont les coordonnées des acheteurs, et ça résoudrait le problème élégamment).

Ou bien le prochain patch... ou l'extension :roll:

EDIT : ça y est, une version du patch spéciale pour versions download est disponible sur : http://www.gamesplanet.com/FR/patch.html?product_id=398

N'allez pas vous emmêler les pinceaux entre les patchs maintenant, sinon on s'en sortira pas :)
Fabrice
Tueur de Rats
 
Messages: 145
Inscription: Dim Aoû 19, 2007 11:44 pm


Retourner vers Actualités de GameGrob

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités